/****************************************************
 *  UserInterface.c                                         
 *  Created on: 2012/04/17 11:48:15                      
 *  Implementation of the Class UserInterface       
 *  Original author: hiroyuki.watanabe                     
 ****************************************************/

#include "ecrobot_interface.h"
#include <string.h>
#include <stdlib.h>

#include "UserInterface.h"
#include "TouchSensor.h"
#include "LineTracer.h"

void UserInterface_judgeCommand(UserInterface* this)
{
	if (TouchSensor_isPressed(this->touchSensor) == 1)
	{
		LineTracer_setCommand(this->lineTracer);
	}
	
	LineTracer_traceLine(this->lineTracer);
} 




